Bug 961297 - Crashes when disabling and enabling back first monitor
Crashes when disabling and enabling back first monitor
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-vdagent (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Hans de Goede
Desktop QE
:
Depends On:
Blocks: 958550 973660
  Show dependency treegraph
 
Reported: 2013-05-09 07:24 EDT by Marc-Andre Lureau
Modified: 2013-06-12 08:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-13 08:13:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc-Andre Lureau 2013-05-09 07:24:05 EDT
Description of problem:

spice-vdagent X error

Version-Release number of selected component (if applicable):

current git

How reproducible:

100%

Steps to Reproduce:
1. using vv with https://www.redhat.com/archives/virt-tools-list/2013-May/msg00017.html patch
2. disable 1st monitor
3. enable 1st monitor
  
Putting severity high, because restarting vdagent isn't possible after that.

Actual results:


disable monitor:

spice-vdagent[3616]: 0x144f010 received monitors config, arg1: 0, arg2: 0, size 328
spice-vdagent[3616]: from guest: 16, 1
spice-vdagent[3616]: received monitor 1 config 656x521+0+0
spice-vdagent[3616]: after zeroing: 2, 1
spice-vdagent[3616]: received monitor 1 config 656x521+0+0
spice-vdagent[3616]: Deleting mode 1024x768-0
spice-vdagent[3616]: Changing screen size to 656x521
spice-vdagent[3616]: Root size of screen 0 changed to 1680x768 send 0
spice-vdagent[3616]: Root size of screen 0 changed to 1680x521 send 0
spice-vdagent[3616]: Root size of screen 0 changed to 656x521 send 0
spice-vdagent[3616]: Screen 0 0x0+0+0
spice-vdagent[3616]: Screen 1 656x521+0+0
spice-vdagent[3616]: 0x144f010 sent guest xorg resolution, arg1: 656, arg2: 521, size 32
spice-vdagent[3616]: Root size of screen 0 changed to 1024x768 send 1
spice-vdagent[3616]: Screen 0 0x0+0+0
spice-vdagent[3616]: Screen 1 1024x768+0+0
spice-vdagent[3616]: 0x144f010 sent guest xorg resolution, arg1: 1024, arg2: 768, size 32
spice-vdagent[3616]: 0x144f010 received monitors config, arg1: 0, arg2: 0, size 328
spice-vdagent[3616]: from guest: 16, 1
spice-vdagent[3616]: received monitor 1 config 1024x768+0+0
spice-vdagent[3616]: after zeroing: 2, 1
spice-vdagent[3616]: received monitor 1 config 1024x768+0+0
spice-vdagent[3616]: Screen 0 0x0+0+0
spice-vdagent[3616]: Screen 1 1024x768+0+0
spice-vdagent[3616]: 0x144f010 sent guest xorg resolution, arg1: 1024, arg2: 768, size 32




enable monitor:


spice-vdagent[3616]: 0x144f010 received monitors config, arg1: 0, arg2: 0, size 328
spice-vdagent[3616]: from guest: 16, 1
spice-vdagent[3616]: received monitor 0 config 1024x768+0+0
spice-vdagent[3616]: received monitor 1 config 1024x768+1024+0
spice-vdagent[3616]: after zeroing: 2, 1
spice-vdagent[3616]: received monitor 0 config 1024x768+0+0
spice-vdagent[3616]: received monitor 1 config 1024x768+1024+0
X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  149 (RANDR)
  Minor opcode of failed request:  21 (RRSetCrtcConfig)
  Serial number of failed request:  348
  Current serial number in output stream:  348


Expected results:

no crash

Additional info:

qxl driver 0.0.17
Comment 1 Hans de Goede 2013-05-13 08:13:33 EDT
(In reply to comment #0)
> Additional info:
> 
> qxl driver 0.0.17

And there you likely have your problem. Multi-head support first got added to the agent in 6.4, and the official qxl drv in 6.4 is: xorg-x11-drv-qxl-0.1.0-4.el6

I tried to reproduce this with the official 6.4 agent + qxl driver, and failed -> closing.

Feel free to re-open if you can reproduce with the 6,4 qxl drv,

Note You need to log in before you can comment on or make changes to this bug.